Add submodules and scripts to run netconf-testtool
[transportpce.git] / tests / start.sh
diff --git a/tests/start.sh b/tests/start.sh
new file mode 100755 (executable)
index 0000000..b9e73f7
--- /dev/null
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+# Please see https://wiki.opendaylight.org/view/OpenDaylight_Controller:Netconf:Testtool
+# It's configured to run 1 node listening to 17830 (ssh)
+# You may put your configuration in config.xml
+
+# opts="${opts} --device-count 2"
+# opts="${opts} --debug true"
+# opts="${opts} --ssh tcp"
+# opts="${opts} --notification-file notif.xml"
+
+java -jar ./netconf/netconf/tools/netconf-testtool/target/netconf-testtool-1.3.0-SNAPSHOT-executable.jar \
+     --schemas-dir schemas \
+     --initial-config-xml-file config.xml \
+     ${opts}
+
+exit $?